Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	Ilm libraries collection
Name:      	ilmbase
Version:   	1.0.1
Release:   	1
License: 	GNU/GPL
URL:		http://www.openexr.com/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot

# FIXME: compat
Provides:	libHalf.so.4 libIex.so.4 libIlmImf.so.4 libIlmThread.so.4 libImath.so.4
#BuildRequires: 	glibc-devel
#BuildRequires:  glib-devel
#BuildRequires:  gdk-pixbuf-devel
#BuildRequires:  mutagen
#BuildRequires:  swig

%description
IlmBase is a collecton of basic Ilm libraries: 
Half is a class that encapsulates Ilm's 16-bit floating-point format.
IlmThread is a thread abstraction library for use with OpenEXR and other software packages. It currently supports pthreads and Windows threads.
Imath implements 2D and 3D vectors, 3x3 and 4x4 matrices, quaternions and other useful 2D and 3D math functions.
Iex is an exception-handling library.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_pkgconfig/IlmBase.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-1
- Initial Release
